
set SCRIPT_HOME=%~dp0

set path=%SCRIPT_HOME%\bin\dlls;%PATH%

cd /d %SCRIPT_HOME%\bin\examples

set A4INCDIR=%SCRIPT_HOME%\include
set A4LNKDIR=%SCRIPT_HOME%\lib
set A4STATICLIBS=-static -lalleggl -ljpgalleg -lloadpng -llogg -lalleg-debug-static -lvorbis -lvorbisenc -lvorbisfile -logg -lpng16 -lzlibstatic -lkernel32 -luser32 -lgdi32 -lcomdlg32 -lole32 -ldinput -lddraw -ldxguid -lwinmm -ldsound -static-libstdc++ -static-libgcc


title Allegro 4.4.3 Examples Environment

color 0a

doskey showhelp=%SCRIPT_HOME%\ShowHelp.bat

doskey home=cd /d %SCRIPT_HOME%

doskey examples=cd /d %SCRIPT_HOME%\bin\examples

doskey demos=cd /d %SCRIPT_HOME%\bin\demos

doskey htmldocs=start %SCRIPT_HOME%\docs\allegro\html\index.html

doskey chmdocs=start %SCRIPT_HOME%\docs\allegro\chm\Allegro443.chm

cls

call %SCRIPT_HOME%\ShowHelp.bat

cmd.exe

goto :eof
